该插件尚未通过WordPress的最新3个主要版本进行测试。 当与较新版本的WordPress一起使用时,可能不再受到维护或支持,并且可能会存在兼容性问题。

Minimum Featured Image Size

描述

With this plugin you can set the minimum/exact width and height required for featured images used in standard and custom posts. You can also customise the error message shown to the user when an image isn’t large enough. Supports the Gutenberg Block Editor.

屏幕截图

  • Plugin settings
  • Error message displayed to user if image isn't large enough

安装

  • Upload minimum-featured-image-size folder to your /wp-content/plugins/ directory.
  • Activate the plugin through the ‘Plugins’ menu in WordPress.
  • Go to Settings > Minimum Featured Image Size.

常见问题

None yet!

评价

2018年5月25日
Great plugin, very useful. The only thing it lacks in my opinion is a max size option, or perhaps a single size - so that ONLY that size can be uploaded. Thanks!
2018年2月16日
Straightforward and well written plugin. Very handy to help enforce beautiful featured imagary on your clients sites.
2018年1月6日
very useful for a multi-author environment. It would be great to improve a little bit with the suggestions in the support forum or get an answer.
2017年10月1日
After spending weeks sourcing for a solution to fix the featured image problem for our team members continuously using small images, managed to find this plugin. Does the job perfectly. However, would appreciate if the system sends a notification warning when the user presses "Set Featured Image" and it is found that it is too small, rather than right before it is going to be published.
阅读所有6条评价

贡献者及开发者

“Minimum Featured Image Size” 是开源软件。 以下人员对此插件做出了贡献。

贡献者

更新日志

0.1

  • Initial release

1.0

  • Use Ajax to check image size, post no longer has to be published to check image size
  • Add admin setting for error message
  • Add admin setting to disable Ajax
  • Improve UI for error messages displayed to the user

1.1

  • Add option to set image sizes for custom post types

1.1.1

  • Bug fix to resolve conflict with bbPress

1.1.2

  • Bug fix

2.0

  • Feature requests added – exact dimensions, choice of post disabling
  • Add Gutenberg Block Editor support

2.0.1

  • Bug fix

2.0.2

  • Add support for pages

2.0.3

  • Bug fix – removing featured image in block editor